FROM debian:bookworm-slim

RUN apt-get update \
 && DEBIAN_FRONTEND=noninteractive apt-get install --yes \
 build-essential ruby ruby-dev ruby-rubygems libcurl4-openssl-dev zlib1g-dev \
 && adduser --disabled-password --gecos="Gem User" user

COPY arvados-*.gem /usr/local/src/
USER user
ENV PATH=/home/user/.local/share/gem/ruby/3.1.0/bin:/usr/bin:/bin
RUN gem install --user-install /usr/local/src/*.gem arvados-cli
