FROM ubuntu:focal

RUN apt-get update \
 && DEBIAN_FRONTEND=noninteractive apt-get install --yes \
 build-essential ruby ruby-dev libcurl4-openssl-dev zlib1g-dev \
 && adduser --disabled-password --gecos="Gem User" user

COPY arvados-*.gem /usr/local/src/
USER user
ENV PATH=/home/user/.gem/ruby/2.7.0/bin:/usr/bin:/bin
RUN gem install --user-install /usr/local/src/*.gem arvados-cli
